### Virtual Method

# Gio OutputStream flush_async

#### Declaration

    void
    flush_async (
      GOutputStream* stream,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Forces an asynchronous write of all user-space buffered data for the given `stream`. For behaviour details see g_output_stream_flush().

When the operation is finished `callback` will be called. You can then call `g_output_stream_flush_finish()` to get the result of the operation.

#### Parameters

`io_priority`

  Type: `int`

  The io priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.